(define-module (kimapr packages misc)
  #:use-module (guix gexp)
  #:use-module (guix utils)
  #:use-module (gnu packages lua)
  #:use-module (gnu packages video)
  #:use-module (gnu packages audio)
  #:use-module (guix packages)
  #:export (lua ffmpeg mpv))

(define-public lua
  (package
    (inherit lua-5.4)
    (arguments
     (substitute-keyword-arguments (package-arguments lua-5.4)
       ((#:make-flags flags)
        (append (list-head flags
                           (- (length flags) 1))
                '("linux-readline")))))))

(define-public ffmpeg
  (package
    (inherit ffmpeg)
    (arguments
     (substitute-keyword-arguments (package-arguments ffmpeg)
       ((#:configure-flags flags)
        #~(cons* "--enable-libopenmpt"
                 #$flags))))
    (inputs (modify-inputs (package-inputs ffmpeg)
              (prepend libopenmpt)))))

(define-public mpv
  ((package-input-rewriting `((,ffmpeg unquote ffmpeg-mod)))
   mpv))
